"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.open = open;
const WebSocketClient_1 = __importDefault(require("./WebSocketClient"));
function open(RED, ev, path) {
    const ws = new WebSocketClient_1.default(ev);
    const port = RED.settings.redMobileWsPort;
    if (port) {
        ws.open(`ws://localhost:${port}${path}`, RED.settings.forceClose);
    }
}
