"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ws_1 = require("ws");
const WebSocketHelper_1 = require("../WebSocketHelper");
module.exports = (RED) => {
    const ev = new ws_1.EventEmitter();
    (0, WebSocketHelper_1.open)(RED, ev, "/mobile/ble");
    function RedMobileBleNotificationNode(props) {
        RED.nodes.createNode(this, props);
        ev.on("message", (data) => {
            this.send({ payload: JSON.parse(data).payload });
        });
    }
    RED.nodes.registerType("ble notification", RedMobileBleNotificationNode);
};
