"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateBleOptions = generateBleOptions;
function generateBleOptions(RED, props) {
    const options = {};
    const deviceNode = RED.nodes.getNode(props.device);
    if (deviceNode) {
        options.address = deviceNode.address;
    }
    if (props.service) {
        options.service = props.service;
    }
    if (props.characteristic) {
        options.characteristic = props.characteristic;
    }
    if (props.timeout) {
        options.timeout = props.timeout;
    }
    return options;
}
