"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
module.exports = (RED) => {
    function RedMobileSpeechToTextNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "speech-to-text",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("speech-to-text", RedMobileSpeechToTextNode);
};
