"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function RedMobileStartActivityNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "intent-start-activity",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("start-activity", RedMobileStartActivityNode);
};
