"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
module.exports = (RED) => {
    function RedMobileBatteryNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "battery",
            };
            (0, util_1.getRequest)(RED, this, msg, json, 5000);
        });
    }
    RED.nodes.registerType("battery", RedMobileBatteryNode);
};
