"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_events_1 = require("node:events");
const WebSocketHelper_1 = require("../../WebSocketHelper");
module.exports = (RED) => {
    const ev = new node_events_1.EventEmitter();
    (0, WebSocketHelper_1.open)(RED, ev, "/mobile/compass");
    function RedMobileCompassNode(props) {
        RED.nodes.createNode(this, props);
        ev.on("message", (data) => {
            const payload = JSON.parse(data).payload;
            this.send({ payload: payload });
        });
    }
    RED.nodes.registerType("compass", RedMobileCompassNode);
};
