"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function RedMobileClipboardNode(props) {
        RED.nodes.createNode(this, props);
        const options = {
            mode: props.mode,
        };
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "clipboard",
                payload: msg.payload,
                options: options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("clipboard", RedMobileClipboardNode);
};
